#include <bits/stdc++.h>

using namespace std;


int main()
{
    string s ;
    cin >> s ;
    int brp ;
    int duzina=s.length() ;
    brp=count(s.begin(),s.end() , 'a') ;
    string rec ;
    cin >> rec ;
    if(rec[0]=='a' && rec.length()==1){
        cout << brp << endl ;
        for(int i=0 ; i<duzina ; i++){
            if(s[i]=='a'){
                s[i]='*' ;
            }
        }
         cout << s ;
    }
    int p=0 ;
    if(rec[0]=='a' && rec[1]=='a'){
        for(int i=0 ; i<duzina ; i++){
            if(s[i]=='a' && brp>=rec.length()){
                s[i]='*' ;
                brp-- ;
                p++ ;
            }
        }
        cout << p << endl;
        cout << s ;
    }
    return 0;
}